package com.yihu.jw.entity.equipment;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * Created by wangzhinan on 2021/09/16.
 * 用户管理的设备
 */
@Entity
@Table(name = "wlyy_user_equipment")
public class WlyyUserEquipmentDO extends UuidIdentityEntityWithOperator {

    private String userId;//用户id
    private String city;//城市code
    private String cityName;//城市名称
    private String town;//区域code
    private String townName;//区域名称
    private String hospital;//医院或者社区code
    private String hospitalName;//医院或者社区名称
    private String equipmentId;//设备id
    private String equipmentName;//设备名称
    private Integer del;//删除标识（0删除1正常）

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getEquipmentId() {
        return equipmentId;
    }

    public void setEquipmentId(String equipmentId) {
        this.equipmentId = equipmentId;
    }

    public String getEquipmentName() {
        return equipmentName;
    }

    public void setEquipmentName(String equipmentName) {
        this.equipmentName = equipmentName;
    }

    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public String getTown() {
        return town;
    }

    public void setTown(String town) {
        this.town = town;
    }

    public String getTownName() {
        return townName;
    }

    public void setTownName(String townName) {
        this.townName = townName;
    }

    public String getHospital() {
        return hospital;
    }

    public void setHospital(String hospital) {
        this.hospital = hospital;
    }

    public String getHospitalName() {
        return hospitalName;
    }

    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }
}
